GIT-IGNORE-IO(1)

NAME
git-ignore-io - Get sample gitignore file

SYNOPSIS
git ignore-io [<OPTIONS>]

DESCRIPTION
Get sample gitignore file from gitignore.io https://www.toptal.com/developers/gitignore/

OPTIONS
<OPTIONS>

-a, --append <types>...
Append new .gitignore content to .gitignore under the current directory

-r, --replace <types>...
Export new .gitignore to the current directory (The old one will be replaced)

-l, --list-in-table
Print available types in table format

-L, --list-alphabetically
Print available types in alphabetical order

-s, --search <word>
Search word in available types

-t, --show-update-time
Show the last modified time of ~/.gi_list (where the list of available types is stored)

-u, --update-list
Update ~/.gi_list

EXAMPLES
Show sample gitignore file for vim

    $ git ignore-io vim
        # Created by https://www.toptal.com/developers/gitignore/api/vim
        ### Vim ###
        [._]*.s[a-w][a-z]
        [._]s[a-w][a-z]
        *.un~
        Session.vim
        .netrwhist
        *~

Append sample gitignore for Vim and Python to .gitignore in current directory.

    $ git ignore-io -a vim python

Show all available types

    $ git ignore-io -l
        actionscript             ada                      agda                     android                  anjuta
        appceleratortitanium     appcode                  appengine                archives                 archlinuxpackages
        autotools                basercms                 bazel                    bluej                    bower
        bricxcc                  c                        c++                      cakephp                  carthage
        ......

Search ja in all available types

    $ git ignore-io -s ja
        django
        jabref
        java
        ninja

AUTHOR
Written by Lee-W weilee.rx@gmail.com

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>